#include <stdio.h>
#include <stdlib.h>
#include "ponto.h"

/*
* =================================================
*    Filename:  .c
* Description:
*     Created:  dd/mm/18 hh:mm
* =================================================
*/

int main(int argc, char **argv)
{
	Ponto *P1, *P2;
	float x_value, y_value;

	P1 = criar_ponto();
	P2 = criar_ponto();

	printf("------------------------------------------------------\n");
	printf("\tCalculo de distancia entre dois pontos\n");
	printf("------------------------------------------------------\n");

	printf("Digite a coordenada x do 1o ponto: ");
	scanf("%f", &x_value);
	printf("Digite a coordenada y do 1o ponto: ");
	scanf("%f", &y_value);
	set_value(P1,x_value,y_value);

	printf("Digite a coordenada x do 2o ponto: ");
	scanf("%f", &x_value);
	printf("Digite a coordenada y do 2o ponto: ");
	scanf("%f", &y_value);
	set_value(P2,x_value,y_value);

	printf("A distancia entre o 1o e o 2o ponto eh: ");
	printf("%.2f", point_distance(P1,P2));

	libera_ponto(P1);
	libera_ponto(P2);
    return 0;
}

